summaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2007-10-19 17:15:29 +0000
committerNicholas Marriott <nicholas.marriott@gmail.com>2007-10-19 17:15:29 +0000
commit543e7b0f03f2c41752ec2e244e26c525a4791cb8 (patch)
tree57fbb81363302cdbc4ab6c053a507381a7dba8cb /examples
parent1b9647669a1190044f2296008a25e3aa0016934b (diff)
-n is now -s on new-session.
Diffstat (limited to 'examples')
-rw-r--r--[-rwxr-xr-x]examples/mxey-start-tmux.sh (renamed from examples/start-tmux.sh)2
-rw-r--r--examples/nicm-start-tmux.sh24
2 files changed, 25 insertions, 1 deletions
diff --git a/examples/start-tmux.sh b/examples/mxey-start-tmux.sh
index ee21057c..fb062276 100755..100644
--- a/examples/start-tmux.sh
+++ b/examples/mxey-start-tmux.sh
@@ -2,7 +2,7 @@
tmux attach
if [[ $? = 1 ]]; then
- tmux new-session -d -nmain 'exec irssi'
+ tmux new-session -d -smain 'exec irssi'
tmux -smain set prefix '^H'
tmux -smain new-window -d -nherrie 'exec sudo herrie -c /home/mxey/etc/herrie/config'
tmux -smain new-window -d 'exec lynx'
diff --git a/examples/nicm-start-tmux.sh b/examples/nicm-start-tmux.sh
new file mode 100644
index 00000000..d58afcdb
--- /dev/null
+++ b/examples/nicm-start-tmux.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+SOCKET=/tmp/tmux-1000-main
+SESSION=natasha-main
+
+TMUX="tmux -S $SOCKET"
+
+if ! $TMUX -s $SESSION attach 2>/dev/null; then
+ $TMUX new -d -s $SESSION -nyelena 'exec ssh yelena' # 0
+ $TMUX -s $SESSION neww -d -ntodo 'exec emacs ~/TODO' # 1
+ $TMUX -s $SESSION neww -d -nncmpc 'exec ncmpc -f ~/.ncmpc.conf' # 2
+ $TMUX -s $SESSION neww -d # 3
+ $TMUX -s $SESSION neww -d # 4
+ $TMUX -s $SESSION neww -d # 5
+ $TMUX -s $SESSION neww -d # 6
+ $TMUX -s $SESSION neww -d # 7
+ $TMUX -s $SESSION neww -d # 8
+ $TMUX -s $SESSION neww -d # 9
+
+ $TMUX set prefix ^A
+ $TMUX set bell-action none
+
+ $TMUX -s $SESSION attach
+fi